CVE-2017-12164

NameCVE-2017-12164
DescriptionA flaw was discovered in gdm 3.24.1 where gdm greeter was no longer setting the ran_once boolean during autologin. If autologin was enabled for a victim, an attacker could simply select 'login as another user' to unlock their screen.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
gdm3 (PTS)jessie3.14.1-7fixed
jessie (security)3.14.1-7+deb8u1fixed
stretch (security), stretch3.22.3-3+deb9u2fixed
buster3.30.2-3fixed
bullseye, sid3.34.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
gdm3source(unstable)3.26.0-1
gdm3sourcejessie(not affected)
gdm3sourcestretch(not affected)
gdm3sourcewheezy(not affected)

Notes

[stretch] - gdm3 <not-affected> (Vulnerable code not present)
[jessie] - gdm3 <not-affected> (Vulnerable code not present)
[wheezy] - gdm3 <not-affected> (Vulnerable code not present)
https://bugzilla.redhat.com/show_bug.cgi?id=1490417
Introduced in https://git.gnome.org/browse/gdm/commit/?id=ff98b28

Search for package or bug name: Reporting problems